[pve-devel] [PATCH pve-kernel-meta v2 4/8] proxmox-boot: rename uuid list file

Stoiko Ivanov s.ivanov at proxmox.com
Fri Apr 23 11:04:46 CEST 2021


in order to be consistent with the renaming of pve-efiboot-tool to
proxmox-boot-tool.

Sending as separate patch, since it changes and removes a file in
'/etc', which could be considered part of the external 'api' of
proxmox-boot-tool

Co-authored-by: Thomas Lamprecht <t.lamprecht at proxmox.com>
Signed-off-by: Stoiko Ivanov <s.ivanov at proxmox.com>
---
v1->v2:
* replaced the cat >> + sort by a simple move (proxmox-boot-uuids is a new
  file and should not exist on a system about to be upgraded)
* adapt maintainer-scripts (based on Thomas' feedback)

 debian/pve-kernel-helper.postinst | 16 ++++++++++++++++
 proxmox-boot/functions            |  2 +-
 2 files changed, 17 insertions(+), 1 deletion(-)
 create mode 100644 debian/pve-kernel-helper.postinst

diff --git a/debian/pve-kernel-helper.postinst b/debian/pve-kernel-helper.postinst
new file mode 100644
index 0000000..891396c
--- /dev/null
+++ b/debian/pve-kernel-helper.postinst
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+    configure)
+        if [ -e /etc/kernel/pve-efiboot-uuids ]; then
+            echo "$0: legacy ESP list /etc/kernel/pve-efiboot-uuids found moving to /etc/kernel/proxmox-boot-uuids" 1>&2
+            mv /etc/kernel/pve-efiboot-uuids /etc/kernel/proxmox-boot-uuids
+        fi
+        ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/proxmox-boot/functions b/proxmox-boot/functions
index 4b0b9c2..6e19c20 100755
--- a/proxmox-boot/functions
+++ b/proxmox-boot/functions
@@ -1,7 +1,7 @@
 #! /bin/sh
 set -e
 
-ESP_LIST="/etc/kernel/pve-efiboot-uuids"
+ESP_LIST="/etc/kernel/proxmox-boot-uuids"
 ESPTYPE='c12a7328-f81f-11d2-ba4b-00a0c93ec93b'
 
 MANUAL_KERNEL_LIST="/etc/kernel/pve-efiboot-manual-kernels"
-- 
2.20.1





More information about the pve-devel mailing list